> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Update a team space membership

PUT https://api.contentful.com/spaces/{space_id}/team_space_memberships/{team_space_membership_id}
Content-Type: application/json

Updates a team space membership to change the team's roles or admin status. Only org admins, owners, and space admins can update team space memberships.

Reference: https://contentful.com/developers/docs/references/user-management-api/team-space-memberships/update-a-team-space-membership

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — The space ID
- `team_space_membership_id` (string, required) — The team space membership ID

### Body (application/json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 200

OK - Updated team space membership

- `map from string to any`

## Examples

**Request**

```json
{
  "admin": false,
  "roles": [
    {
      "sys": {
        "id": "1ElgCn1mi1UHSBLTP2v4TD",
        "linkType": "Role",
        "type": "Link"
      }
    },
    {
      "sys": {
        "id": "54gtw51mi1UHSBLTP2v4TD",
        "linkType": "Role",
        "type": "Link"
      }
    }
  ]
}
```

**Response**

```json
{
  "admin": false,
  "roles": [
    {
      "sys": {
        "id": "1ElgCn1mi1UHSBLTP2v4TD",
        "linkType": "Role",
        "type": "Link"
      }
    },
    {
      "sys": {
        "id": "54gtw51mi1UHSBLTP2v4TD",
        "linkType": "Role",
        "type": "Link"
      }
    }
  ],
  "sys": {
    "createdAt": "2025-08-25T00:38:22.000Z",
    "id": "362gCn1mi1UHSBLTP2v4TD",
    "space": {
      "sys": {
        "id": "5ae45h2qifno",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "team": {
      "sys": {
        "id": "gCn1mi1El1UHSBLTP2v4TD",
        "linkType": "Team",
        "type": "Link"
      }
    },
    "type": "TeamSpaceMembership",
    "updatedAt": "2025-08-25T00:38:22.000Z",
    "version": 0
  }
}
```